Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Class Date

    java.lang.Object
      |
      +--java.util.Date
            |
            +--java.sql.Date

All Implemented Interfaces:
  Cloneable, Comparable, Serializable

public class Date
extends Date

A thin wrapper around a millisecond value that allows JDBC to identify this as an SQL `DATE` value. A milliseconds value represents the number of milliseconds that have passed since January 1, 1970 00:00:00.000 GMT.

To conform with the definition of SQL `DATE`, the millisecond values wrapped by a `java.sql.Date` instance must be 'normalized' by setting the hours, minutes, seconds, and milliseconds to zero in the particular time zone with which the instance is associated.

See Also:
  Serialized Form

Constructor Summary
`Date(int year, int month, int day)` Deprecated. instead use the constructor `Date(long date)`
`Date(long date)` Constructs a `Date` object using the given milliseconds time value.

Method Summary
`int` | `getHours()` Deprecated.
`int` | `getMinutes()` Deprecated.
`int` | `getSeconds()` Deprecated.
`void` | `setHours(int i)` Deprecated.
`void` | `setMinutes(int i)` Deprecated.
`void` | `setSeconds(int i)` Deprecated.
`void` | `setTime(long date)` Sets an existing `Date` object using the given milliseconds time value.
`String` | `toString()` Formats a date in the date escape format yyyy-mm-dd.
`static Date` | `valueOf(String s)` Converts a string in JDBC date escape format to a `Date` value.

Methods inherited from class java.util.Date
`after, before, clone, compareTo, compareTo, equals, getDate, getDay, getMonth, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setMonth, setYear, toGMTString, toLocaleString, UTC`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Date

    public Date(int year,
                int month,
                int day)

  Deprecated. instead use the constructor `Date(long date)`

  Constructs a `Date` object initialized with the given year, month, and day.

  The result is undefined if a given argument is out of bounds.

Parameters:
  `year` - the year minus 1900; must be 0 to 8099. (Note that 8099 is 9999 minus 1900.)
  `month` - 0 to 11
  `day` - 1 to 31

### Date

    public Date(long date)

  Constructs a `Date` object using the given milliseconds time value. If the given milliseconds value contains time information, the driver will set the time components to the time in the default time zone (the time zone of the Java virtual machine running the application) that corresponds to zero GMT.

Parameters:
  `date` - milliseconds since January 1, 1970, 00:00:00 GMT not to exceed the milliseconds representation for the year 8099. A negative number indicates the number of milliseconds before January 1, 1970, 00:00:00 GMT.

Method Detail

### setTime

    public void setTime(long date)

  Sets an existing `Date` object using the given milliseconds time value. If the given milliseconds value contains time information, the driver will set the time components to the time in the default time zone (the time zone of the Java virtual machine running the application) that corresponds to zero GMT.

  Overrides:
    `setTime` in class `Date`
  Parameters:
    `date` - milliseconds since January 1, 1970, 00:00:00 GMT not to exceed the milliseconds representation for the year 8099. A negative number indicates the number of milliseconds before January 1, 1970, 00:00:00 GMT.

### valueOf

    public static Date valueOf(String s)

  Converts a string in JDBC date escape format to a `Date` value.

  Parameters:
    `s` - date in format "yyyy-mm-dd"
  Returns:
    a `java.sql.Date` object representing the given date

### toString

    public String toString()

  Formats a date in the date escape format yyyy-mm-dd.

  NOTE: To specify a date format for the class `SimpleDateFormat`, use "yyyy.MM.dd" rather than "yyyy-mm-dd". In the context of `SimpleDateFormat`, "mm" indicates minutes rather than the month. For example:

        Format Pattern                         Result
        --------------                         -------
      	"yyyy.MM.dd G 'at' hh:mm:ss z"    ->>  1996.07.10 AD at 15:08:56 PDT

  Overrides:
    `toString` in class `Date`
  Returns:
    a String in yyyy-mm-dd format
  See Also:
    `Date.toLocaleString()`, `Date.toGMTString()`

### getHours

    public int getHours()

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.

  Overrides:
    `getHours` in class `Date`
  Returns:
    the hour represented by this date.
  Throws:
    `IllegalArgumentException` - if this method is invoked
  See Also:
    `setHours(int)`

### getMinutes

    public int getMinutes()

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.

  Overrides:
    `getMinutes` in class `Date`
  Returns:
    the number of minutes past the hour represented by this date.
  Throws:
    `IllegalArgumentException` - if this method is invoked
  See Also:
    `setMinutes(int)`

### getSeconds

    public int getSeconds()

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.

  Overrides:
    `getSeconds` in class `Date`
  Returns:
    the number of seconds past the minute represented by this date.
  Throws:
    `IllegalArgumentException` - if this method is invoked
  See Also:
    `setSeconds(int)`

### setHours

    public void setHours(int i)

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.

  Overrides:
    `setHours` in class `Date`
  Parameters:
    `i` - the hour value.
  Throws:
    `IllegalArgumentException` - if this method is invoked
  See Also:
    `getHours()`

### setMinutes

    public void setMinutes(int i)

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.

  Overrides:
    `setMinutes` in class `Date`
  Parameters:
    `i` - the value of the minutes.
  Throws:
    `IllegalArgumentException` - if this method is invoked
  See Also:
    `getMinutes()`

### setSeconds

    public void setSeconds(int i)

  Deprecated.

  This method is deprecated and should not be used because SQL Date values do not have a time component.

  Overrides:
    `setSeconds` in class `Date`
  Parameters:
    `i` - the seconds value.
  Throws:
    `IllegalArgumentException` - if this method is invoked
  See Also:
    `getSeconds()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.